<?php
// récupération des variables $page, $action et $id


include('include/twig.php');
include('include/connexion.php');
include('modeles/class_article.php');
include('modeles/class_categorie.php');
include('modeles/class_element.php');

$twig = init_twig();


if (isset($_GET['page'])) $page = $_GET['page']; else $page = '';
 
// récupération de la variable action sur l'URL
if (isset($_GET['action'])) $action = $_GET['action']; else $action = '';
 
// récupération de l'id s'il existe (par convention la clé 0 correspond à un id inexistant)
if (isset($_GET['id_article'])) $id_article = intval($_GET['id_article']); else $id_article = 0;

if (isset($_GET['id_cat'])) $id_cat = intval($_GET['id_cat']); else $id_cat = 0;

// test des différents choix
//echo $id_cat;
//echo $action;
//echo $page;


switch ($page) {
    case 'engagement' :
        switch ($action) {
            case 'read' :
                $modele = 'engagement.twig';
                $data = [
                    'table_engagement' =>  Article::readOnly($id_cat),
                    'table_titre_auteur' => Article::readTitleAuthor($id_cat),
                    ];
            break;
        }
    break;


    case 'entrainement' :
        switch ($action) {
            case 'read' :
                $modele = 'entrainement.twig';
                $data = [
                    'table_entrainement' =>  Article::readOnly($id_cat),
                    'table_titre_auteur' => Article::readTitleAuthor($id_cat),
                    ];
            break;
        }
    break;

    case 'combat' :
        switch ($action) {
            case 'read' :
                $modele = 'combat.twig';
                $data = [
                    'table_combat' =>  Article::readOnly($id_cat),
                    'table_titre_auteur' => Article::readTitleAuthor($id_cat),
                    ];
            break;
        }
    break;

    case 'retour' :
        switch ($action) {
            case 'read' :
                $modele = 'retour.twig';
                $data = [
                    'table_retour' =>  Article::readOnly($id_cat),
                    'table_titre_auteur' => Article::readTitleAuthor($id_cat),
                    ];
            break;
        }
    break;

    case 'sortie' :
        switch ($action) {
            case 'read' :
                $modele = 'sortie.twig';
                $data = [
                    'table_sortie' =>  Article::readOnly($id_cat),
                    'table_titre_auteur' => Article::readTitleAuthor($id_cat),
                    ];
            break;
    }
    break;

    case 'formulaire' :
        switch ($action) {
            case 'read' :
                $modele = 'formulaire.twig';
                $data = [
                    'table_categories' => Categorie::readAll(),
                    'table_articles' => Article::readAllTitleAuthor(),
                ];
            break;
    }
    break;
    case 'reception_article' :
        switch ($action) {
            case 'create' :
                $modele = 'reception.twig';
                $data = [];
                $id_article='';

                $titre = '';
                if (isset($_POST['titre'])) {       // si la variable est définie
                  $titre = $_POST['titre'];           // on récupère sa valeur
                  $titre = strip_tags($titre);        // on supprime les balises
                  $titre = htmlspecialchars($titre);  // on filtre les caractères spéciaux
                }
                
                $auteur = '';
                if (isset($_POST['auteur'])) {     
                    $auteur = $_POST['auteur'];    
                    $auteur = strip_tags($auteur);       
                    $auteur = htmlspecialchars($auteur);  
                }

                $id_cat = '';
                if (isset($_POST['id_cat'])) {     
                    $id_cat = $_POST['id_cat'];    
                    $id_cat = strip_tags($id_cat);       
                    $id_cat = htmlspecialchars($id_cat);  
                }
                
                $article = new Article($id_article, $titre, $auteur, $id_cat); // On construit un nouvel objet
                
                $tableau_article = (array) $article; // On le transforme en array pour l'insérer dans la requête SQl "create"            
                           
                Article::createArticle($tableau_article);
            break;
    }
    break;
    case 'reception_elements' :
        switch ($action) {
            case 'create' :
                $modele = 'reception.twig';
                $data = [];
                $id_element='';

                $attribut1_href='';
                $attribut2_src='';
                $attribut3_alt='';
                $attribut4_type='';

                $id_article = '';
                if (isset($_POST['id_article'])) {   
                    $id_article = $_POST['id_article'];      
                    $id_article = strip_tags($id_article);       
                    $id_article = htmlspecialchars($id_article);  
                }
                
                $balise = '';
                if (isset($_POST['balise'])) {     
                    $balise= $_POST['balise'];    
                    $balise = strip_tags($balise);       
                    $balise = htmlspecialchars($balise);  
                }

                $contenu = '';
                if (isset($_POST['contenu'])) {     
                    $contenu = $_POST['contenu'];    
                    $contenu = strip_tags($contenu);       
                    $contenu = htmlspecialchars($contenu);  
                }

                $element = new Element($id_element, $balise, $contenu, $attribut1_href, $attribut2_src, $attribut3_alt, $attribut4_type, $id_article);
                
                $tableau_element = (array) $element;
                var_dump($tableau_element);
                           
                Element::createElement($tableau_element);
            break;
    }
    break;

    default :
        $modele = 'index.twig';
        $data = [];
}
 
// Affichage du modèle choisi avec les données récupérées
echo $twig->render($modele, $data);

